> For the complete documentation index, see [llms.txt](https://docs.convai.com/api-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.convai.com/api-docs/zh/cha-jian-yu-ji-cheng/convai-unreal-engine-plugin/compatibility-and-requirements/character-rig-support.md).

# 角色骨架支持

哪些角色骨架可与 Convai Unreal Engine 插件配合使用、每种骨架需要什么设置，以及在哪里查找各骨架特定的设置指南。

Convai Unreal Engine 插件通过 `UConvaiFaceSyncComponent`驱动面部动画，该组件会输出由 `EC_LipSyncMode` 枚举控制的面部动画数据。Blendshape 模式会输出 Blendshape 通道； `VisemeBased` 模式会输出 viseme 值。所选的口型同步模式决定了兼容的骨骼绑定类型。

### 支持的骨骼绑定

| 骨骼绑定类型                                                                                                                                            | 口型同步模式                                                                                                                        | 开箱即用     | 额外设置                                                                                                                                                                    |
| ------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------- | -------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [MetaHuman](https://docs.convai.com/api-docs/zh/cha-jian-yu-ji-cheng/convai-unreal-engine-plugin/getting-started/set-up-a-metahuman-character.md) | `MetaHuman Blendshapes` (`BS_MHA`)                                                                                            | 是；这是默认模式 | 已随附 `Convai_MetaHuman_BodyAnim` 和 `Convai_MetaHuman_FaceAnim` 动画蓝图                                                                                                      |
| [Reallusion Character Creator（CC4 和 CC5）](https://www.reallusion.com/auto-setup/unreal-engine/default.html)                                       | CC5： `MetaHuman Blendshapes` (`BS_MHA`）；CC4： `ARKit Blendshapes` (`BS_ARKit`）或 `CC4 Extended Blendshapes` (`BS_CC4_Extended`) | 否        | 请参阅 [Reallusion 设置指南](https://docs.convai.com/api-docs/zh/cha-jian-yu-ji-cheng/convai-unreal-engine-plugin/getting-started/set-up-a-reallusion-cc-character.md) 以设置动画蓝图 |
| 兼容 ARKit 的骨骼绑定                                                                                                                                    | `ARKit Blendshapes` (`BS_ARKit`)                                                                                              | 否        | 将 `LipSyncMode` 配置为 `BS_ARKit`；将 61 个 Blendshape 通道连接到骨骼绑定                                                                                                              |
| 基于 viseme 的骨骼绑定                                                                                                                                   | `Viseme Based` (`VisemeBased`)                                                                                                | 否        | 将 `LipSyncMode` 配置为 `VisemeBased`；将 15 个 OVR viseme 映射到骨骼绑定                                                                                                             |
| 单网格通用骨骼绑定                                                                                                                                         | `Auto` 或 `Off`                                                                                                                | 部分       | 未配置兼容模式时，不会播放面部动画                                                                                                                                                       |

### MetaHuman 角色

MetaHuman 是默认的骨架目标。插件自带 `Convai_MetaHuman_BodyAnim` 和 `Convai_MetaHuman_FaceAnim` 位于 `Content/MetaHumans/Animations/`，并且默认将 `LipSyncMode` 设为 `BS_MHA` ，应用于 `UConvaiFaceSyncComponent`。设置 MetaHuman 无需单独下载动画蓝图。

该 `GetBodyAndFaceSkeletalMeshComponents` 实用函数（可在蓝图中调用，类别为 `Convai|Utilities`）会通过骨骼名称启发式规则，自动解析 MetaHuman 风格 `Skeletal Mesh Component` 上的身体和面部引用。对于面部网格与身体网格分离的 MetaHuman 骨架，也能正确处理。 `Actor` 。

有关特定骨架的设置流程，请参阅 MetaHuman 设置指南。

{% content-ref url="/pages/f0a9565e073a000fe0ed7df2961660e00793150b" %}
[设置 MetaHuman 角色](https://docs.convai.com/api-docs/zh/cha-jian-yu-ji-cheng/convai-unreal-engine-plugin/getting-started/set-up-a-metahuman-character.md)
{% endcontent-ref %}

{% embed url="<https://youtu.be/4fMCKkrfyaA>" %}
MetaHuman 角色设置演示
{% endembed %}

### Reallusion Character Creator（CC4 和 CC5）

[Reallusion Character Creator](https://www.reallusion.com/auto-setup/unreal-engine/default.html) CC4 和 CC5 角色使用与 MetaHuman 设置不同的动画蓝图工作流。插件包含 `FixCC5LipsyncPostProcessBlendshapes` （可在蓝图中调用，类别为 `Convai|LipSync`），用于修复使用 `ExpBoneData` 的 CC5 骨架后处理动画实例。

{% hint style="info" %}
Reallusion 设置使用单独的 Convai 动画蓝图。将 CC4 或 CC5 角色分配到场景之前，请先按照 Reallusion 设置指南操作。
{% endhint %}

分配 Reallusion 动画蓝图后，根据骨架代际，在附加到 CC 角色的 `LipSyncMode` 上设置 `UConvaiFaceSyncComponent` ：CC5 使用 `MetaHuman Blendshapes` (`BS_MHA`），CC4 使用 `ARKit Blendshapes` (`BS_ARKit`）。对于驱动扩展 Reallusion 混合形状集的 CC4 骨架，请使用 `CC4 扩展混合变形` (`BS_CC4_Extended`)。

下载和动画蓝图分配步骤请参阅 Reallusion 设置指南。

{% content-ref url="/pages/d29e5c59616e0066f5596223946116f5c08bc90d" %}
[设置 Reallusion（CC）角色](https://docs.convai.com/api-docs/zh/cha-jian-yu-ji-cheng/convai-unreal-engine-plugin/getting-started/set-up-a-reallusion-cc-character.md)
{% endcontent-ref %}

{% embed url="<https://www.youtube.com/watch?v=nyPNP-S92QI>" %}
Reallusion CC 角色设置演练
{% endembed %}

### 兼容 ARKit 的骨骼绑定

任何提供 ARKit 风格混合变形目标的骨架都可以使用 `BS_ARKit` 模式。此模式下，插件会驱动 61 个混合变形通道：52 个标准 ARKit 面部目标，以及 9 个头部和眼部旋转通道（`HeadYaw`, `HeadPitch`, `HeadRoll`, `LeftEyeYaw`, `LeftEyePitch`, `LeftEyeRoll`, `RightEyeYaw`, `RightEyePitch`, `RightEyeRoll`)。将 `LipSyncMode` 设为 `ARKit Blendshapes` 在 `UConvaiFaceSyncComponent` 上，并将混合变形输出连接到骨架的动画蓝图。

### 基于 viseme 的骨骼绑定

`VisemeBased` 模式会输出 15 个 OVR 音素口型值（名称为 `sil`, `PP`, `FF`, `TH`, `DD`, `kk`, `CH`, `SS`, `nn`, `RR`, `aa`, `E`, `ih`, `oh`, `ou`）。任何将这 15 个音素口型名称映射到变形目标或骨骼姿势的骨架都可以使用此模式。

### 骨架检测工具

`GetBodyAndFaceSkeletalMeshComponents` 会检查一个 `Actor`的 `Skeletal Mesh Component` 引用，并根据骨骼名称启发式规则解析身体和面部网格。它适用于：

* 仅包含单个骨骼网格的 Actor——该网格将用作身体网格，面部输出为 `null`.
* 包含两个或更多骨骼网格的 Actor——每个网格都会根据身体标记骨骼（`pelvis`, `hand`, `neck`等）和面部标记骨骼（`eye`, `jaw`, `brow`等）评分；得分最高的网格将被选为对应角色的网格。
* 不包含骨骼网格组件的 Actor——两个输出均为 `null`.

此函数适用于 MetaHuman 风格的骨架绑定，但也能处理单网格和无法识别的骨架绑定，不会导致崩溃。

### 后续步骤

确认支持该骨架绑定后，请先检查网络要求，再安装或验证插件。

{% content-ref url="/pages/4b0adccfe599095ddce0cd91a25e2fc306475dff" %}
[网络和 API 要求](https://docs.convai.com/api-docs/zh/cha-jian-yu-ji-cheng/convai-unreal-engine-plugin/compatibility-and-requirements/network-and-api-requirements.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.convai.com/api-docs/zh/cha-jian-yu-ji-cheng/convai-unreal-engine-plugin/compatibility-and-requirements/character-rig-support.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
